Name:             cxf-xjc-utils
Version:          2.6.2
Release:          3%{?dist}
Summary:          Apache CXF XJC-Utils
License:          ASL 2.0
URL:              http://cxf.apache.org/xjc-utils.html

# svn export http://svn.apache.org/repos/asf/cxf/xjc-utils/tags/xjc-utils-2.6.2/ cxf-xjc-utils-2.6.2
# tar cafJ cxf-xjc-utils-2.6.2.tar.xz cxf-xjc-utils-2.6.2

Source0:          cxf-xjc-utils-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    cxf-build-utils
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-shade-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    apache-commons-lang
BuildRequires:    glassfish-jaxb
BuildRequires:    glassfish-jaxb-api
BuildRequires:    junit
BuildRequires:    jvnet-parent
BuildRequires:    maven-project
BuildRequires:    maven-shared-downloader
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    ws-jaxme
BuildRequires:    wsdl4j

%description
The Apache CXF XJC-Utils provides a bunch of utilities for working
with JAXB to generate better or more usable code.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin
%pom_disable_module bug671

# maven-checkstyle-plugin:2.12:checkstyle (validate) on project cxf-xjc-plugin:
# An error has occurred in Checkstyle report generation.
# Failed during checkstyle configuration: cannot initialize module TreeWalker
# - Unable to instantiate JUnitTestCase: Unable to instantiate JUnitTestCaseCheck -> [Help 1]
%pom_remove_plugin -r :maven-checkstyle-plugin

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc

%changelog
* Thu Aug 06 2015 gil cattaneo <puntogil@libero.it> 2.6.2-3
- fix FTBFS rhbz#1239423
- remove duplicate files

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Marek Goldmann <mgoldman@redhat.com> - 2.6.2-1
- Upstream release 2.6.2
- Switch to xmvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.6.0-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.6.0-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Patryk Obara <pobara@redhat.com> 2.6.0-2
- Install phase cleaned (whitespace warnings and unnecessary dir)
- maven removed from requires

* Thu May 10 2012 Patryk Obara <pobara@redhat.com> 2.6.0-1
- Initial packaging

